ormolu-0.5.3.0: A formatter for Haskell source code

Safe Haskell | Safe-Inferred
Language | Haskell2010

Ormolu.Printer.Meat.Declaration.Type

Description

Rendering of type synonym declarations.

# Documentation

p_synDecl Source #

Arguments

:: LocatedN RdrName | Type constructor
-> LexicalFixity | Fixity
-> LHsQTyVars GhcPs | Type variables
-> LHsType GhcPs | RHS of type declaration
-> R () |